Tensorflow install on 4.4

Trying to install Tensorflow on Jetson Nano L4T 4.4
Install Tensorflow on Jetson Nano

Everything works till,
$ sudo pip3 install -U pip testresources setuptools

with the output
john@johny-001 : ~ $ sudo pip3 install -U pip testresources setuptools

[sudo] password for john:

WARNING: The directory ‘/home/john/.cache/pip’ or its parent directory is not owned or is not writable by the current user. The cache has been disabled. Check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.

Requirement already up-to-date: pip in /usr/local/lib/python3.8/dist-packages (20.2.3)

Requirement already up-to-date: testresources in /usr/local/lib/python3.8/dist-packages (2.0.1)

Requirement already up-to-date: setuptools in /usr/local/lib/python3.8/dist-packages (50.3.0)

Requirement already satisfied, skipping upgrade: pbr>=1.8 in /usr/local/lib/python3.8/dist-packages (from testresources) (5.5.0)

Then this error,

john@johny-001:~$ sudo pip3 install -U pip testresources setuptools numpy==1.16.1 future==0.17.1 mock==3.0.5 h5py==2.9.0 keras_preprocessing==1.0.5 keras_applications==1.0.8 gast==0.2.2 futures protobuf pybind11
WARNING: The directory ‘/home/john/.cache/pip’ or its parent directory is not owned or is not writable by the current user. The cache has been disabled. Check the permissions and owner of that directory. If executing pip with sudo, you may want sudo’s -H flag.
Requirement already up-to-date: pip in /usr/local/lib/python3.8/dist-packages (20.2.3)
Requirement already up-to-date: testresources in /usr/local/lib/python3.8/dist-packages (2.0.1)
Requirement already up-to-date: setuptools in /usr/local/lib/python3.8/dist-packages (50.3.0)
Collecting numpy==1.16.1
Downloading numpy-1.16.1.zip (5.1 MB)
|████████████████████████████████| 5.1 MB 6.6 MB/s
Collecting future==0.17.1
Downloading future-0.17.1.tar.gz (829 kB)
|████████████████████████████████| 829 kB 24.4 MB/s
Collecting mock==3.0.5
Downloading mock-3.0.5-py2.py3-none-any.whl (25 kB)
Collecting h5py==2.9.0
Downloading h5py-2.9.0.tar.gz (287 kB)
|████████████████████████████████| 287 kB 14.4 MB/s
Collecting keras_preprocessing==1.0.5
Downloading Keras_Preprocessing-1.0.5-py2.py3-none-any.whl (30 kB)
Collecting keras_applications==1.0.8
Downloading Keras_Applications-1.0.8-py3-none-any.whl (50 kB)
|████████████████████████████████| 50 kB 23.0 MB/s
Collecting gast==0.2.2
Downloading gast-0.2.2.tar.gz (10 kB)
Collecting futures
Downloading futures-3.1.1-py3-none-any.whl (2.8 kB)
Collecting protobuf
Downloading protobuf-3.13.0-py2.py3-none-any.whl (438 kB)
|████████████████████████████████| 438 kB 20.3 MB/s
Collecting pybind11
Downloading pybind11-2.5.0-py2.py3-none-any.whl (296 kB)
|████████████████████████████████| 296 kB 25.7 MB/s
Requirement already satisfied, skipping upgrade: pbr>=1.8 in /usr/local/lib/python3.8/dist-packages (from testresources) (5.5.0)
Requirement already satisfied, skipping upgrade: six in /usr/lib/python3/dist-packages (from mock==3.0.5) (1.11.0)
Building wheels for collected packages: numpy, future, h5py, gast
Building wheel for numpy (setup.py) … error
ERROR: Command errored out with exit status 1:
command: /usr/bin/python3 -u -c ‘import sys, setuptools, tokenize; sys.argv[0] = ‘"’"’/tmp/pip-install-m62wcuzy/numpy/setup.py’"’"’; file=’"’"’/tmp/pip-install-m62wcuzy/numpy/setup.py’"’"’;f=getattr(tokenize, ‘"’"‘open’"’"’, open)(file);code=f.read().replace(’"’"’\r\n’"’"’, ‘"’"’\n’"’"’);f.close();exec(compile(code, file, ‘"’"‘exec’"’"’))’ bdist_wheel -d /tmp/pip-wheel-xvht69oa
cwd: /tmp/pip-install-m62wcuzy/numpy/
Complete output (315 lines):
Running from numpy source directory.
/tmp/pip-install-m62wcuzy/numpy/numpy/distutils/misc_util.py:476: SyntaxWarning: “is” with a literal. Did you mean “==”?
return is_string(s) and (’*’ in s or ‘?’ is s)
blas_opt_info:
blas_mkl_info:
customize UnixCCompiler
libraries mkl_rt not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

blis_info:
customize UnixCCompiler
libraries blis not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

openblas_info:
customize UnixCCompiler
customize UnixCCompiler
libraries openblas not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

atlas_3_10_blas_threads_info:
Setting PTATLAS=ATLAS
customize UnixCCompiler
libraries tatlas not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

atlas_3_10_blas_info:
customize UnixCCompiler
libraries satlas not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

atlas_blas_threads_info:
Setting PTATLAS=ATLAS
customize UnixCCompiler
libraries ptf77blas,ptcblas,atlas not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

atlas_blas_info:
customize UnixCCompiler
libraries f77blas,cblas,atlas not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

accelerate_info:
NOT AVAILABLE

/tmp/pip-install-m62wcuzy/numpy/numpy/distutils/system_info.py:636: UserWarning:
Atlas (http://math-atlas.sourceforge.net/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [atlas]) or by setting
the ATLAS environment variable.
self.calc_info()
blas_info:
customize UnixCCompiler
customize UnixCCompiler
C compiler: aarch64-linux-gnu-gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -g -fwrapv -O2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC

creating /tmp/tmp12_zbewl/tmp
creating /tmp/tmp12_zbewl/tmp/tmp12_zbewl
compile options: ‘-I/usr/local/include -I/usr/include -c’
aarch64-linux-gnu-gcc: /tmp/tmp12_zbewl/source.c
aarch64-linux-gnu-gcc -pthread /tmp/tmp12_zbewl/tmp/tmp12_zbewl/source.o -lcblas -o /tmp/tmp12_zbewl/a.out
/usr/bin/ld: cannot find -lcblas
collect2: error: ld returned 1 exit status
aarch64-linux-gnu-gcc -pthread /tmp/tmp12_zbewl/tmp/tmp12_zbewl/source.o -lblas -o /tmp/tmp12_zbewl/a.out
customize UnixCCompiler
FOUND:
libraries = [‘blas’, ‘blas’]
library_dirs = [’/usr/lib/aarch64-linux-gnu’]
include_dirs = [’/usr/local/include’, ‘/usr/include’]
language = c
define_macros = [(‘HAVE_CBLAS’, None)]

FOUND:
  define_macros = [('NO_ATLAS_INFO', 1), ('HAVE_CBLAS', None)]
  libraries = ['blas', 'blas']
  library_dirs = ['/usr/lib/aarch64-linux-gnu']
  include_dirs = ['/usr/local/include', '/usr/include']
  language = c

/bin/sh: 1: svnversion: not found
non-existing path in ‘numpy/distutils’: ‘site.cfg’
lapack_opt_info:
lapack_mkl_info:
customize UnixCCompiler
libraries mkl_rt not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

openblas_lapack_info:
customize UnixCCompiler
customize UnixCCompiler
libraries openblas not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

openblas_clapack_info:
customize UnixCCompiler
customize UnixCCompiler
libraries openblas,lapack not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

atlas_3_10_threads_info:
Setting PTATLAS=ATLAS
customize UnixCCompiler
libraries lapack_atlas not found in /usr/local/lib
customize UnixCCompiler
libraries tatlas,tatlas not found in /usr/local/lib
customize UnixCCompiler
libraries lapack_atlas not found in /usr/lib
customize UnixCCompiler
libraries tatlas,tatlas not found in /usr/lib
customize UnixCCompiler
libraries lapack_atlas not found in /usr/lib/aarch64-linux-gnu
customize UnixCCompiler
libraries tatlas,tatlas not found in /usr/lib/aarch64-linux-gnu
<class ‘numpy.distutils.system_info.atlas_3_10_threads_info’>
NOT AVAILABLE

atlas_3_10_info:
customize UnixCCompiler
libraries lapack_atlas not found in /usr/local/lib
customize UnixCCompiler
libraries satlas,satlas not found in /usr/local/lib
customize UnixCCompiler
libraries lapack_atlas not found in /usr/lib
customize UnixCCompiler
libraries satlas,satlas not found in /usr/lib
customize UnixCCompiler
libraries lapack_atlas not found in /usr/lib/aarch64-linux-gnu
customize UnixCCompiler
libraries satlas,satlas not found in /usr/lib/aarch64-linux-gnu
<class ‘numpy.distutils.system_info.atlas_3_10_info’>
NOT AVAILABLE

atlas_threads_info:
Setting PTATLAS=ATLAS
customize UnixCCompiler
libraries lapack_atlas not found in /usr/local/lib
customize UnixCCompiler
libraries ptf77blas,ptcblas,atlas not found in /usr/local/lib
customize UnixCCompiler
libraries lapack_atlas not found in /usr/lib
customize UnixCCompiler
libraries ptf77blas,ptcblas,atlas not found in /usr/lib
customize UnixCCompiler
libraries lapack_atlas not found in /usr/lib/aarch64-linux-gnu
customize UnixCCompiler
libraries ptf77blas,ptcblas,atlas not found in /usr/lib/aarch64-linux-gnu
<class ‘numpy.distutils.system_info.atlas_threads_info’>
NOT AVAILABLE

atlas_info:
customize UnixCCompiler
libraries lapack_atlas not found in /usr/local/lib
customize UnixCCompiler
libraries f77blas,cblas,atlas not found in /usr/local/lib
customize UnixCCompiler
libraries lapack_atlas not found in /usr/lib
customize UnixCCompiler
libraries f77blas,cblas,atlas not found in /usr/lib
customize UnixCCompiler
libraries lapack_atlas not found in /usr/lib/aarch64-linux-gnu
customize UnixCCompiler
libraries f77blas,cblas,atlas not found in /usr/lib/aarch64-linux-gnu
<class ‘numpy.distutils.system_info.atlas_info’>
NOT AVAILABLE

/tmp/pip-install-m62wcuzy/numpy/numpy/distutils/system_info.py:636: UserWarning:
Atlas (http://math-atlas.sourceforge.net/) libraries not found.
Directories to search for the libraries can be specified in the
numpy/distutils/site.cfg file (section [atlas]) or by setting
the ATLAS environment variable.
self.calc_info()
lapack_info:
customize UnixCCompiler
customize UnixCCompiler
FOUND:
libraries = [‘lapack’, ‘lapack’]
library_dirs = [’/usr/lib/aarch64-linux-gnu’]
language = f77

FOUND:
  define_macros = [('NO_ATLAS_INFO', 1), ('HAVE_CBLAS', None)]
  libraries = ['lapack', 'lapack', 'blas', 'blas']
  library_dirs = ['/usr/lib/aarch64-linux-gnu']
  language = c
  include_dirs = ['/usr/local/include', '/usr/include']

/usr/lib/python3.8/distutils/dist.py:274: UserWarning: Unknown distribution option: ‘define_macros’
warnings.warn(msg)
running bdist_wheel
running build
running config_cc
unifing config_cc, config, build_clib, build_ext, build commands --compiler options
running config_fc
unifing config_fc, config, build_clib, build_ext, build commands --fcompiler options
running build_src
build_src
building py_modules sources
creating build
creating build/src.linux-aarch64-3.8
creating build/src.linux-aarch64-3.8/numpy
creating build/src.linux-aarch64-3.8/numpy/distutils
building library “npymath” sources
get_default_fcompiler: matching types: ‘[‘gnu95’, ‘intel’, ‘lahey’, ‘pg’, ‘absoft’, ‘nag’, ‘vast’, ‘compaq’, ‘intele’, ‘intelem’, ‘gnu’, ‘g95’, ‘pathf95’, ‘nagfor’]’
customize Gnu95FCompiler
Found executable /usr/bin/gfortran
customize Gnu95FCompiler
customize Gnu95FCompiler using config
C compiler: aarch64-linux-gnu-gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -g -fwrapv -O2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC

compile options: ‘-Inumpy/core/src/common -Inumpy/core/src -Inumpy/core -Inumpy/core/src/npymath -Inumpy/core/src/multiarray -Inumpy/core/src/umath -Inumpy/core/src/npysort -I/usr/include/python3.8 -c’
aarch64-linux-gnu-gcc: _configtest.c
aarch64-linux-gnu-gcc -pthread _configtest.o -o _configtest
success!
removing: _configtest.c _configtest.o _configtest.o.d _configtest
C compiler: aarch64-linux-gnu-gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -g -fwrapv -O2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC

compile options: ‘-Inumpy/core/src/common -Inumpy/core/src -Inumpy/core -Inumpy/core/src/npymath -Inumpy/core/src/multiarray -Inumpy/core/src/umath -Inumpy/core/src/npysort -I/usr/include/python3.8 -c’
aarch64-linux-gnu-gcc: _configtest.c
_configtest.c:1:5: warning: conflicting types for built-in function ‘exp’ [-Wbuiltin-declaration-mismatch]
int exp (void);
^~~
aarch64-linux-gnu-gcc -pthread _configtest.o -o _configtest
_configtest.o: In function main': /tmp/pip-install-m62wcuzy/numpy/_configtest.c:6: undefined reference to exp’
collect2: error: ld returned 1 exit status
failure.
removing: _configtest.c _configtest.o _configtest.o.d
C compiler: aarch64-linux-gnu-gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -g -fwrapv -O2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC

compile options: ‘-Inumpy/core/src/common -Inumpy/core/src -Inumpy/core -Inumpy/core/src/npymath -Inumpy/core/src/multiarray -Inumpy/core/src/umath -Inumpy/core/src/npysort -I/usr/include/python3.8 -c’
aarch64-linux-gnu-gcc: _configtest.c
_configtest.c:1:5: warning: conflicting types for built-in function ‘exp’ [-Wbuiltin-declaration-mismatch]
int exp (void);
^~~
aarch64-linux-gnu-gcc -pthread _configtest.o -lm -o _configtest
success!
removing: _configtest.c _configtest.o _configtest.o.d _configtest
creating build/src.linux-aarch64-3.8/numpy/core
creating build/src.linux-aarch64-3.8/numpy/core/src
creating build/src.linux-aarch64-3.8/numpy/core/src/npymath
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/npymath/npy_math_internal.h
adding ‘build/src.linux-aarch64-3.8/numpy/core/src/npymath’ to include_dirs.
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/npymath/ieee754.c
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/npymath/npy_math_complex.c
None - nothing done with h_files = [‘build/src.linux-aarch64-3.8/numpy/core/src/npymath/npy_math_internal.h’]
building library “npysort” sources
creating build/src.linux-aarch64-3.8/numpy/core/src/common
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/common/npy_sort.h
adding ‘build/src.linux-aarch64-3.8/numpy/core/src/common’ to include_dirs.
creating build/src.linux-aarch64-3.8/numpy/core/src/npysort
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/npysort/quicksort.c
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/npysort/mergesort.c
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/npysort/heapsort.c
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/common/npy_partition.h
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/npysort/selection.c
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/common/npy_binsearch.h
conv_template:> build/src.linux-aarch64-3.8/numpy/core/src/npysort/binsearch.c
None - nothing done with h_files = [‘build/src.linux-aarch64-3.8/numpy/core/src/common/npy_sort.h’, ‘build/src.linux-aarch64-3.8/numpy/core/src/common/npy_partition.h’, ‘build/src.linux-aarch64-3.8/numpy/core/src/common/npy_binsearch.h’]
building extension “numpy.core._dummy” sources
Generating build/src.linux-aarch64-3.8/numpy/core/include/numpy/config.h
C compiler: aarch64-linux-gnu-gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -g -fwrapv -O2 -g -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -fPIC

compile options: ‘-Inumpy/core/src/common -Inumpy/core/src -Inumpy/core -Inumpy/core/src/npymath -Inumpy/core/src/multiarray -Inumpy/core/src/umath -Inumpy/core/src/npysort -I/usr/include/python3.8 -c’
aarch64-linux-gnu-gcc: _configtest.c
_configtest.c:1:10: fatal error: Python.h: No such file or directory
#include <Python.h>
^~~~~~~~~~
compilation terminated.
failure.
removing: _configtest.c _configtest.o
Traceback (most recent call last):
File “”, line 1, in
File “/tmp/pip-install-m62wcuzy/numpy/setup.py”, line 415, in
setup_package()
File “/tmp/pip-install-m62wcuzy/numpy/setup.py”, line 407, in setup_package
setup(**metadata)
File “/tmp/pip-install-m62wcuzy/numpy/numpy/distutils/core.py”, line 171, in setup
return old_setup(**new_attr)
File “/usr/local/lib/python3.8/dist-packages/setuptools/init.py”, line 153, in setup
return distutils.core.setup(**attrs)
File “/usr/lib/python3.8/distutils/core.py”, line 148, in setup
dist.run_commands()
File “/usr/lib/python3.8/distutils/dist.py”, line 966, in run_commands
self.run_command(cmd)
File “/usr/lib/python3.8/distutils/dist.py”, line 985, in run_command
cmd_obj.run()
File “/usr/lib/python3/dist-packages/wheel/bdist_wheel.py”, line 204, in run
self.run_command(‘build’)
File “/usr/lib/python3.8/distutils/cmd.py”, line 313, in run_command
self.distribution.run_command(command)
File “/usr/lib/python3.8/distutils/dist.py”, line 985, in run_command
cmd_obj.run()
File “/tmp/pip-install-m62wcuzy/numpy/numpy/distutils/command/build.py”, line 47, in run
old_build.run(self)
File “/usr/lib/python3.8/distutils/command/build.py”, line 135, in run
self.run_command(cmd_name)
File “/usr/lib/python3.8/distutils/cmd.py”, line 313, in run_command
self.distribution.run_command(command)
File “/usr/lib/python3.8/distutils/dist.py”, line 985, in run_command
cmd_obj.run()
File “/tmp/pip-install-m62wcuzy/numpy/numpy/distutils/command/build_src.py”, line 148, in run
self.build_sources()
File “/tmp/pip-install-m62wcuzy/numpy/numpy/distutils/command/build_src.py”, line 165, in build_sources
self.build_extension_sources(ext)
File “/tmp/pip-install-m62wcuzy/numpy/numpy/distutils/command/build_src.py”, line 322, in build_extension_sources
sources = self.generate_sources(sources, ext)
File “/tmp/pip-install-m62wcuzy/numpy/numpy/distutils/command/build_src.py”, line 375, in generate_sources
source = func(extension, build_dir)
File “numpy/core/setup.py”, line 423, in generate_config_h
moredefs, ignored = cocache.check_types(config_cmd, ext, build_dir)
File “numpy/core/setup.py”, line 47, in check_types
out = check_types(*a, **kw)
File “numpy/core/setup.py”, line 279, in check_types
raise SystemError(
SystemError: Cannot compile ‘Python.h’. Perhaps you need to install python-dev|python-devel.

ERROR: Failed building wheel for numpy
Running setup.py clean for numpy
ERROR: Command errored out with exit status 1:
command: /usr/bin/python3 -u -c ‘import sys, setuptools, tokenize; sys.argv[0] = ‘"’"’/tmp/pip-install-m62wcuzy/numpy/setup.py’"’"’; file=’"’"’/tmp/pip-install-m62wcuzy/numpy/setup.py’"’"’;f=getattr(tokenize, ‘"’"‘open’"’"’, open)(file);code=f.read().replace(’"’"’\r\n’"’"’, ‘"’"’\n’"’"’);f.close();exec(compile(code, file, ‘"’"‘exec’"’"’))’ clean --all
cwd: /tmp/pip-install-m62wcuzy/numpy
Complete output (10 lines):
Running from numpy source directory.

setup.py clean is not supported, use one of the following instead:

- `git clean -xdf` (cleans all files)
- `git clean -Xdf` (cleans all versioned files, doesn't touch
                    files that aren't checked into the git repo)

Add --force to your command to use it anyway if you must (unsupported).


ERROR: Failed cleaning build dir for numpy
Building wheel for future (setup.py) … done
Created wheel for future: filename=future-0.17.1-py3-none-any.whl size=490929 sha256=df5f16e2de5b14bc1e6300e3bb5609978ae6dc3b37d79ce34879ff09817c20df
Stored in directory: /tmp/pip-ephem-wheel-cache-jlfcybj4/wheels/1c/1d/db/1834235af1bc2c9ca8e63809ce32edeb56f64f6e3af30cb20b
Building wheel for h5py (setup.py) … error
ERROR: Command errored out with exit status 1:
command: /usr/bin/python3 -u -c ‘import sys, setuptools, tokenize; sys.argv[0] = ‘"’"’/tmp/pip-install-m62wcuzy/h5py/setup.py’"’"’; file=’"’"’/tmp/pip-install-m62wcuzy/h5py/setup.py’"’"’;f=getattr(tokenize, ‘"’"‘open’"’"’, open)(file);code=f.read().replace(’"’"’\r\n’"’"’, ‘"’"’\n’"’"’);f.close();exec(compile(code, file, ‘"’"‘exec’"’"’))’ bdist_wheel -d /tmp/pip-wheel-ms_jg1fb
cwd: /tmp/pip-install-m62wcuzy/h5py/
Complete output (115 lines):
running bdist_wheel
running build
running build_py
creating build
creating build/lib.linux-aarch64-3.8
creating build/lib.linux-aarch64-3.8/h5py
copying h5py/h5py_warnings.py -> build/lib.linux-aarch64-3.8/h5py
copying h5py/init.py -> build/lib.linux-aarch64-3.8/h5py
copying h5py/version.py -> build/lib.linux-aarch64-3.8/h5py
copying h5py/ipy_completer.py -> build/lib.linux-aarch64-3.8/h5py
copying h5py/highlevel.py -> build/lib.linux-aarch64-3.8/h5py
creating build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/compat.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/selections.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/init.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/group.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/dataset.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/datatype.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/vds.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/base.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/files.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/selections2.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/filters.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/dims.py -> build/lib.linux-aarch64-3.8/h5py/_hl
copying h5py/_hl/attrs.py -> build/lib.linux-aarch64-3.8/h5py/_hl
creating build/lib.linux-aarch64-3.8/h5py/tests
copying h5py/tests/common.py -> build/lib.linux-aarch64-3.8/h5py/tests
copying h5py/tests/init.py -> build/lib.linux-aarch64-3.8/h5py/tests
creating build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_h5p.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_slicing.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/init.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_group.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_datatype.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_h5.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_h5t.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_base.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_h5f.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_file_image.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_selections.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_h5d_direct_chunk_write.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_dimension_scales.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_objects.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_file.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_attrs_data.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_attrs.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
copying h5py/tests/old/test_dataset.py -> build/lib.linux-aarch64-3.8/h5py/tests/old
creating build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/test_dims_dimensionproxy.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/init.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/test_datatype.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/test_filters.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/test_dataset_swmr.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/test_deprecation.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/test_dataset_getitem.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/test_threads.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/test_file.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
copying h5py/tests/hl/test_attribute_create.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl
creating build/lib.linux-aarch64-3.8/h5py/tests/hl/test_vds
copying h5py/tests/hl/test_vds/test_highlevel_vds.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl/test_vds
copying h5py/tests/hl/test_vds/init.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl/test_vds
copying h5py/tests/hl/test_vds/test_lowlevel_vds.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl/test_vds
copying h5py/tests/hl/test_vds/test_virtual_source.py -> build/lib.linux-aarch64-3.8/h5py/tests/hl/test_vds
running build_ext
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/numpy/core/init.py”, line 16, in
from . import multiarray
ImportError: cannot import name ‘multiarray’ from partially initialized module ‘numpy.core’ (most likely due to a circular import) (/usr/lib/python3/dist-packages/numpy/core/init.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “”, line 1, in
File “/tmp/pip-install-m62wcuzy/h5py/setup.py”, line 148, in
setup(
File “/usr/local/lib/python3.8/dist-packages/setuptools/init.py”, line 153, in setup
return distutils.core.setup(**attrs)
File “/usr/lib/python3.8/distutils/core.py”, line 148, in setup
dist.run_commands()
File “/usr/lib/python3.8/distutils/dist.py”, line 966, in run_commands
self.run_command(cmd)
File “/usr/lib/python3.8/distutils/dist.py”, line 985, in run_command
cmd_obj.run()
File “/usr/lib/python3/dist-packages/wheel/bdist_wheel.py”, line 204, in run
self.run_command(‘build’)
File “/usr/lib/python3.8/distutils/cmd.py”, line 313, in run_command
self.distribution.run_command(command)
File “/usr/lib/python3.8/distutils/dist.py”, line 985, in run_command
cmd_obj.run()
File “/usr/lib/python3.8/distutils/command/build.py”, line 135, in run
self.run_command(cmd_name)
File “/usr/lib/python3.8/distutils/cmd.py”, line 313, in run_command
self.distribution.run_command(command)
File “/usr/lib/python3.8/distutils/dist.py”, line 985, in run_command
cmd_obj.run()
File “/tmp/pip-install-m62wcuzy/h5py/setup_build.py”, line 157, in run
import numpy
File “/usr/lib/python3/dist-packages/numpy/init.py”, line 142, in
from . import add_newdocs
File “/usr/lib/python3/dist-packages/numpy/add_newdocs.py”, line 13, in
from numpy.lib import add_newdoc
File “/usr/lib/python3/dist-packages/numpy/lib/init.py”, line 8, in
from .type_check import *
File “/usr/lib/python3/dist-packages/numpy/lib/type_check.py”, line 11, in
import numpy.core.numeric as _nx
File “/usr/lib/python3/dist-packages/numpy/core/init.py”, line 26, in
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you’re working with a numpy git repo, try git clean -xdf (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: cannot import name ‘multiarray’ from partially initialized module ‘numpy.core’ (most likely due to a circular import) (/usr/lib/python3/dist-packages/numpy/core/init.py)

Hi @john.roberts,
Jetson Nano team will be able to assist you better here, hence moving this to respective team.
Thanks!

Thank you. Further, I am using the Jetson Production Module in 4/16 config. Using Auvidea for the Carrier Board.

The same commands worked fine two weeks ago on Xavier AGX

Hi,

It seems that you are trying to use python 3.8.
For Jetson system, please use the default python 3.6.9.

Please let us know if the issue goes on for python 3.6.9.

Thanks.

Any ideas on how to resolve this error?

Thanks.

Hi,

Would you mind to share which python version you want to use first?
Thanks.

Python3 version 3.6.9

Just as a further clarification, I have reinstalled everything from scratch, ie OS level. So, no errors while installing, all good but issue when I try to run Tensorflow inside of the python shell. Console output attached below.

john@johny-001:~$ python3

Python 3.6.9 (default, Jul 17 2020, 12:50:27)

[GCC 8.4.0] on linux

Type “help”, “copyright”, “credits” or “license” for more information.

import tensorflow

2020-10-14 05:22:44.757614: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘libcudart.so.10.2’; dlerror: libcudart.so.10.2: cannot open shared object file: No such file or directory

2020-10-14 05:22:44.757796: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine.

Hi,

The error indicates no CUDA library in your environment.
Have you installed it? CUDA toolkit belongs to SDK components rather than OS.

Thanks.

Sorry, had an issue with the SDK Manger, reinstalled it, all looks good now, however, I’ve run out of space on my 16GB eMMC. Any ideas on what I can delete? Any installation files or examples, etc?

Heres what I got after the SDK installation

john@john-001:/dev$ sudo du -a / 2>/dev/null | sort -n -r | head -n 20

13381688 /

11638444 /usr

5431976 /usr/lib

4125516 /usr/lib/aarch64-linux-gnu

3786328 /usr/local

2687168 /usr/local/cuda-10.2

2041004 /usr/local/cuda-10.2/targets

2041000 /usr/local/cuda-10.2/targets/aarch64-linux

2016008 /usr/local/cuda-10.2/targets/aarch64-linux/lib

1098384 /usr/local/lib

1098368 /usr/local/lib/python3.6

1098364 /usr/local/lib/python3.6/dist-packages

1033148 /usr/share

894052 /usr/lib/aarch64-linux-gnu/libcudnn_static_v8.a

885260 /usr/src

877984 /var

745140 /usr/local/lib/python3.6/dist-packages/tensorflow

631968 /var/cache

620628 /var/cache/apt

608572 /usr/local/lib/python3.6/dist-packages/tensorflow/python

john@john-001:/dev$

Hi,

It’s not recommended to uninstall package since you may need them in the near future.
A common solution is to mount an extra SSD via USB-3 and install our TensorFlow docker on NGC.

You can directly install the docker image on the SSD via following command:

Thanks.

Yep, thats exactly what we’ve done. Thank you. You can close out this thread. Appreciate your help, thanks again.

Good to know this.
Thanks for the feedback.